跳转到主要内容
GET
/
threads
/
{threadId}
/
events
列出 Thread 事件
curl --request GET \
  --url https://docs.mosoo.ai/api/v1/threads/{threadId}/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "content": "<string>",
      "durationMs": 123,
      "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
      "occurredAt": "2023-11-07T05:31:56Z",
      "tokens": 123
    }
  ],
  "truncated": true
}

授权

Authorization
string
header
必填

使用 Authorization: Bearer mst_...。API token 用于识别账号,不携带 scope。

路径参数

threadId
string<ulid>
必填

create thread 返回的 Thread ID。v1 ID 是不带前缀的 ULID。

Pattern: ^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$
示例:

"01J00000000000000000000009"

查询参数

limit
integer
默认值:100

要返回的最新 Thread 事件数量上限。

必填范围: 1 <= x <= 1000

响应

Thread 事件列表。

按时间顺序返回的一页最新 Thread 事件日志。

events
object[]
必填

返回的事件日志条目。在请求窗口内,最早的事件排在最前。

truncated
boolean
必填

如果因为达到请求上限而没有返回更早的事件,则为 true。